nexpaqAPI.setCurrentModule('DevMod');

function toggleButton() {
    // check physical button status
    var buttonStatus = document.getElementById('onOffButton').checked;
    if (buttonStatus) {
        document.getElementById('onOffButton').setAttribute('checked', 'false');
    } else {
        document.getElementById('onOffButton').setAttribute('checked', 'true');
    }
    document.getElementById('onOffButton').click();
}

// Actions when click button 
function updateLED() {
    if (document.getElementById('onOffButton').checked) {
        // If button checked, turn LEDs on 
        window.nexpaqAPI.DevMod.send("RGB_LED", [255, 255, 255]);
    } else {
        // If button not checked, turn off
        window.nexpaqAPI.DevMod.send("RGB_LED", [0, 0, 0]);
    }
}

function dataHandler() {
    var commandType = window.nexpaqAPI.DevMod.last_data.cmdType;
    switch (parseInt(commandType)) {
    default:
        toggleButton();
        break;
    }
}

// when page is finished loading
document.addEventListener("DOMContentLoaded", function (e) {
    updateLED();
	// call dataHandler function whenever data is received
	window.nexpaqAPI.DevMod.addEventListener("onDataReceived", dataHandler);
});